[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.Density

Number of filled slots

## Declaration

Source position: contnrs.pp line 392

`public property TFPCustomHashTable.Density: LongWord read GetDensity;`

## Description

Density is the number of filled slots in the hash table.

## See also

TFPCustomHashTable.IsEmpty |  | Check if the hash table is empty.
TFPCustomHashTable.Count |  | Number of items in the hash table.
TFPCustomHashTable.LoadFactor |  | Fraction of count versus size
TFPCustomHashTable.AvgChainLength
TFPCustomHashTable.VoidSlots |  | Number of empty slots in the hash table.
TFPCustomHashTable.Density |  | Number of filled slots

The latest version of this document can be found at lazarus-ccr.sourceforge.net.